--*************************************************************
--VISTA CON INFORMACION DEL CONYUGUE VM_C_DATOS_CONYUGUE_PF
--*************************************************************

SELECT
--INFORMACION CLIENTE ************
CON.FOLIO_UNICO, 
--INFORMACION DE CONYUGUE ********
SBC.ID SUJETO_BASE_ID,
SBC.NOMBRE NOMBRE, 
SBC.APELLIDO_PATERNO PATERNO,
SBC.APELLIDO_MATERNO MATERNO,
SBC.FECHA_NACIMIENTO NACIMIENTO,
SBC.RFC RFC,
SBC.CURP C_CURP,
SEC.NOMBRE C_SEXO,
'NO EXISTE' DEPENDIENTES,
'NO EXISTE' ESCOLARIDAD,
'NO EXISTE' REFERENCIA_TELEFONICA,
'NO EXISTE' TELEFONO,
'NO EXISTE' EXTENSION,
--LABORAL CONYUGE
'NO EXISTE' ACTIVIDAD_ECONOMICA,
OCP.NOMBRE OCUPACION,
PUE.ID PUESTO_ID,
PUE.NOMBRE PUESTO,
'NO EXISTE' EMPRESA,
'NO EXISTE' ANIOS_ANTIGUEDAD,
'NO EXISTE' MESES_ANTIGUEDAD

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS SUJ ON (SUJ.ID = ATF.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SBP ON (SBP.ID = SUJ.SUJETOBASE_ID)
LEFT OUTER JOIN SMAFB.SGCONYUGES CYG ON (CYG.ID = ATF.CONYUGE_ID)  --INFORMACION DE CONYUGE ******************
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SBC ON (SBC.ID = CYG.SUJETO_BASE_ID)
LEFT OUTER JOIN SMAFB.SGSEXOS SEC ON (SEC.IDINT = CYG.SEXO_ID)
LEFT OUTER JOIN SMAFB.SGOCUPACIONES_PUESTOS OPU ON (OPU.ID = CYG.OCUPACION_PUESTO_ID)
LEFT OUTER JOIN SMAFB.SGOCUPACIONES OCP ON (OCP.ID  = OPU.OCUPACION_ID)
LEFT OUTER JOIN SMAFB.SGPUESTOS PUE ON (PUE.ID = OPU.PUESTO_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;